// gnome.xonotic.in.ua

models/mapobjects/skel/skel
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/skel/skel.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/teleporter/energy
{
	cull disable
	{
		map models/mapobjects/teleporter/energy.tga
		blendfunc gl_one gl_one
		tcmod scroll 2.2 1.3
		rgbgen wave inversesawtooth -.3 1.3 0 1.3
	}
	{
		map models/mapobjects/teleporter/energy2.tga
		blendfunc gl_one gl_one
		tcmod scroll -1 .5
		rgbgen wave inversesawtooth -.2 1.2 0 .5
	}
	{
		map models/mapobjects/teleporter/energy3.tga
		blendfunc gl_one gl_one
		tcmod scroll 3 0
		rgbgen wave triangle 1 1 0 5.3
	}
}

models/mapobjects/teleporter/teleporter_edge
{
	{
		map models/mapobjects/teleporter/teleporter_edge.tga
		rgbgen vertex
	}
	{
		map models/mapobjects/teleporter/teleporter_edge2.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 .2 1.5
	}
}

models/mapobjects/teleporter/transparency
{
	qer_editorimage models/mapobjects/teleporter/transparency2.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm pointlight
	q3map_novertexshadows
	cull none
	{
		map models/mapobjects/teleporter/transparency2.tga
		blendfunc gl_one gl_one
		tcmod scroll .1 .2
	}
}

models/mapobjects/teleporter/widget
{
	qer_editorimage models/mapobjects/teleporter/transparency2.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm pointlight
	q3map_novertexshadows
	cull none
	{
		map models/mapobjects/teleporter/transparency2.tga
		blendfunc gl_one gl_one
		tcmod scroll .1 .2
	}
}

models/mapobjects/tree2/branch2
{
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	cull none
	sort 10
	{
		clampmap models/mapobjects/tree2/branch2.tga
		blendfunc gl_zero gl_one_minus_src_color
	}
}

models/mapobjects/tree2/trunk2
{
	q3map_forcemeta
	q3map_splotchfix
	q3map_nonplanar
	{
		map $lightmap
		tcgen lightmap
		rgbgen identity
	}
	{
		map models/mapobjects/tree2/trunk2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

noshader
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	{
		map noshader.tga
		tcmod scale 1.0 1.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/anglee2/proto_zzztbluf
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/sfx/proto_zzztblu3.tga
		tcgen environment
		tcmod turb 0 0.25 0 0.5
		tcmod scroll 1 1
		blendfunc gl_one gl_one
	}
}

textures/anglee2/proto_zzztpink
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/sfx/proto_zzztpink.tga
		tcgen environment
		tcmod turb 0 0.25 0 0.5
		tcmod scroll 1 1
		blendfunc gl_one gl_one
	}
}

textures/anglee/freedom4sky
{
	qer_editorimage textures/skies/pjbasesky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512
	q3map_sun 0.266383 0.274632 0.358662 100 350 75
	q3map_surfacelight 250
	skyparms env/austria/austriasky - -
}

textures/anglee/jumpikijumpi
{
	qer_editorimage textures/anglee/jppad1.tga
	surfaceparm nodamage
	q3map_lightimage textures/anglee/jppad2.tga
	q3map_surfacelight 400
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/anglee/jppad1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/anglee/jppad2.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 0.5
	}
}

textures/anglee/plafonblue
{
	qer_editorimage textures/anglee/plafon2b.tga
	q3map_lightimage textures/anglee/energyblue.tga
	q3map_surfacelight 400
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/anglee/plafon2b.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/anglee/energyblue.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 0.5
	}
}

textures/anglee/plafonred
{
	qer_editorimage textures/anglee/plafon2r.tga
	q3map_lightimage textures/anglee/energyred.tga
	q3map_surfacelight 400
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/anglee/plafon2r.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/anglee/energyred.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 0.5
	}
}

textures/base_wall2/blue_arrow_small
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/base_wall2/blue_arrow_small.tga
		blendfunc blend
		rgbgen identity
	}
}

textures/base_wall2/red_arrow_small
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/base_wall2/red_arrow_small.tga
		blendfunc blend
		rgbgen identity
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/terrain
{
	q3map_terrain
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/white
{
	surfaceparm nolightmap
	{
		map textures/killroom/clip_black.tga
		blendfunc add
	}
}

textures/ctf2/blue_banner02
{
	qer_editorimage textures/ctf2/blue_banner02.tga
	surfaceparm alphashadow
	cull none
	{
		map textures/ctf2/blue_banner02.tga
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/ctf2/red_banner02
{
	qer_editorimage textures/ctf2/red_banner02.tga
	surfaceparm alphashadow
	cull none
	{
		map textures/ctf2/red_banner02.tga
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/gothic_button/timbutton
{
	q3map_lightimage textures/gothic_button/timbutton2.tga
	q3map_surfacelight 10
	{
		map textures/gothic_button/timbutton.tga
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_button/timbutton2.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1
	}
}

textures/liquids/clear_calm1
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .25 .25 0 .5
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/sfx/flameanim_blue
{
	qer_editorimage textures/sfx/b_flame1.tga
	q3map_lightimage textures/sfx/b_flame7.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 1800
	nopicmip
	{
		animmap 10 textures/sfx/b_flame1.tga textures/sfx/b_flame2.tga textures/sfx/b_flame3.tga textures/sfx/b_flame4.tga textures/sfx/b_flame5.tga textures/sfx/b_flame6.tga textures/sfx/b_flame7.tga textures/sfx/b_flame8.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/b_flame2.tga textures/sfx/b_flame3.tga textures/sfx/b_flame4.tga textures/sfx/b_flame5.tga textures/sfx/b_flame6.tga textures/sfx/b_flame7.tga textures/sfx/b_flame8.tga textures/sfx/b_flame1.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/b_flameball.tga
		blendfunc add
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/flameanim_red
{
	qer_editorimage textures/sfx/r_flame3.tga
	q3map_lightimage textures/sfx/r_flame3.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 1800
	{
		animmap 10 textures/sfx/r_flame1.tga textures/sfx/r_flame2.tga textures/sfx/r_flame3.tga textures/sfx/r_flame4.tga textures/sfx/r_flame5.tga textures/sfx/r_flame6.tga textures/sfx/r_flame7.tga textures/sfx/r_flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/r_flame2.tga textures/sfx/r_flame3.tga textures/sfx/r_flame4.tga textures/sfx/r_flame5.tga textures/sfx/r_flame6.tga textures/sfx/r_flame7.tga textures/sfx/r_flame8.tga textures/sfx/r_flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/r_flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/fog_pjdm1
{
	qer_editorimage textures/sfx/fog_grey.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( .733 .737 .620 ) 300
}

textures/skies/pj_ctf1sky
{
	qer_editorimage textures/skies/pjbasesky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512
	q3map_sun 0.266383 0.274632 0.358662 100 350 75
	q3map_surfacelight 150
	skyparms env/circus/violentdays - -
}

textures/terrain/mpterra1_0
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/stone/pjrock9c.tga
		rgbgen vertex
		tcmod scale 0.125 0.125
	}
	{
		map textures/skies2/clouds2.tga
		blendfunc filter
		tcmod scale 0.01 0.01
		tcmod scroll -0.1 0.1
	}
}

textures/terrain/mpterra1_0to1
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/stone/pjrock9c.tga
		rgbgen vertex
		alphagen vertex
		tcmod scale 0.125 0.125
	}
	{
		map textures/stone/pjrock12c.tga
		tcmod scale 0.125 0.125
		rgbgen vertex
		alphagen vertex
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
	{
		map textures/skies2/clouds2.tga
		blendfunc filter
		tcmod scale 0.01 0.01
		tcmod scroll -0.1 0.1
	}
}

textures/terrain/mpterra1_0to2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/stone/pjrock9c.tga
		rgbgen vertex
		alphagen vertex
		tcmod scale 0.125 0.125
	}
	{
		map textures/stone/pjrock10c.tga
		tcmod scale 0.05 0.05
		rgbgen vertex
		alphagen vertex
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
	{
		map textures/skies2/clouds2.tga
		blendfunc filter
		tcmod scale 0.01 0.01
		tcmod scroll -0.1 0.1
	}
}

textures/terrain/mpterra1_1
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/stone/pjrock12c.tga
		rgbgen vertex
		tcmod scale 0.125 0.125
	}
	{
		map textures/skies2/clouds2.tga
		blendfunc filter
		tcmod scale 0.01 0.01
		tcmod scroll -0.1 0.1
	}
}

textures/terrain/mpterra1_1to2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/stone/pjrock12c.tga
		rgbgen vertex
		alphagen vertex
		tcmod scale 0.125 0.125
	}
	{
		map textures/stone/pjrock10c.tga
		tcmod scale 0.05 0.05
		rgbgen vertex
		alphagen vertex
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
	{
		map textures/skies2/clouds2.tga
		blendfunc filter
		tcmod scale 0.01 0.01
		tcmod scroll -0.1 0.1
	}
}

textures/terrain/mpterra1_2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/stone/pjrock10c.tga
		tcmod scale 0.05 0.05
		rgbgen vertex
	}
	{
		map textures/skies2/clouds2.tga
		blendfunc filter
		tcmod scale 0.01 0.01
		tcmod scroll -0.1 0.1
	}
}

